Package org.eclipse.microprofile.openapi.apps.airlines

# Class JAXRSApp

java.lang.Object
jakarta.ws.rs.core.Application
org.eclipse.microprofile.openapi.apps.airlines.JAXRSApp

@ApplicationPath("/") public class JAXRSApp extends jakarta.ws.rs.core.Application

## Constructor Summary

Constructors
Constructor
Description
`JAXRSApp()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getRandomNumber(int max, int min)`
`Set<Object>`
`getSingletons()`

### Methods inherited from class jakarta.ws.rs.core.Application

`getClasses, getProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JAXRSApp

public JAXRSApp()

## Method Details

### getSingletons

public Set<Object> getSingletons()

Overrides:
  `getSingletons` in class `jakarta.ws.rs.core.Application`

### getRandomNumber

public static int getRandomNumber(int max, int min)